/*****************************************************************************
 *~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 *~                             IR Kernel                                    ~
 *~                         Copyright(C) 1993                                ~
 *~                       Software Kinetics Ltd.                             ~
 *~                        All Rights Reserved                               ~
 *~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 * Copyright Software Kinetics Ltd.
 * 
 * Software Kinetics Ltd. has granted a licence of this software to
 * National Library of Canada.
 *
 * The National Library of Canada grants to the user a royalty-free
 * non-exclusive licence in perpetuity to use, modify, improve,
 * reproduce and sell the software.
 *
 * The software is provided to the user "as is" without warranty of
 * any kind.  Neither Software Kinetics Ltd. nor the National Library
 * of Canada warrants,guarantees or makes any representation regarding
 * the use, or the results of the use of the software in terms of
 * accuracy,reliability, or otherwise.  The entire risk as results and
 * performance of the software is assumed by the user. Neither
 * Software Kinetics Ltd. nor the National Library of Canada shall be
 * liable for any direct, indirect, consequential or incidental
 * damages arising out the use of software.
 *~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
 *
 * Header:  ir.h
 *
 * Purpose: ir program header file.
 *
 * Index:   section number
 *          section description
 *
 * Version: 93/05/12
 *          Benjamin Yen
 *          reason for change
 *
 * Notes:
 *
 * $Id: ir.h,v 1.1 1993/11/01 17:03:51 irsuprt Exp irsuprt $
 * $Log: ir.h,v $
 * Revision 1.1  1993/11/01  17:03:51  irsuprt
 * Initial revision
 *
 *
 *****************************************************************************/
#include "apdu.h"

#define ACCESS_CONTROL_NEWWAY 1

char IMPLEMENTATION_ID[];
char IMPLEMENTATION_NAME[];
char IMPLEMENTATION_VERSION[];

extern FILE *DEBUG_FILE1, *DEBUG_FILE2, *DEBUG_FILE3, *DEBUG_FILE4;

extern long MAXMESSAGESIZE;
extern long MAX_ERROR_RECORDS;

extern char TEMP_HOST_NAME[];

extern int NO_OF_ASSOC;

#ifndef VMS
#define netclose close
#endif

