/*****************************************************************************
 *~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 *~                             IR Kernel                                    ~
 *~                         Copyright(C) 1993                                ~
 *~                       Software Kinetics Ltd.                             ~
 *~                        All Rights Reserved                               ~
 *~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 * Copyright Software Kinetics Ltd.
 * 
 * Software Kinetics Ltd. has granted a licence of this software to
 * National Library of Canada.
 *
 * The National Library of Canada grants to the user a royalty-free
 * non-exclusive licence in perpetuity to use, modify, improve,
 * reproduce and sell the software.
 *
 * The software is provided to the user "as is" without warranty of
 * any kind.  Neither Software Kinetics Ltd. nor the National Library
 * of Canada warrants,guarantees or makes any representation regarding
 * the use, or the results of the use of the software in terms of
 * accuracy,reliability, or otherwise.  The entire risk as results and
 * performance of the software is assumed by the user. Neither
 * Software Kinetics Ltd. nor the National Library of Canada shall be
 * liable for any direct, indirect, consequential or incidental
 * damages arising out the use of software.
 *~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
 *
 * Header:  irconst.h
 *
 * Purpose: Global constant definitions header file.
 *
 * Index:   section number
 *          section description
 *
 * Version: 93/05/12
 *          Benjamin Yen
 *          reason for change
 *
 * Notes:
 *
 * $Id: irconst.h,v 1.1 1993/11/01 17:03:51 irsuprt Exp irsuprt $
 * $Log: irconst.h,v $
 * Revision 1.1  1993/11/01  17:03:51  irsuprt
 * Initial revision
 *
 *
 *****************************************************************************/

/* irconst.h   */

#define REQUIRED 1
#define OPTIONAL 0

#define NOTOK    1

#define EOS   '\0'

#ifndef TRUE
#define TRUE    1
#define FALSE   0
#endif

#define FAILED      -1
#define SUCCESS     0

#define ACTIVATE    1
#define DEACTIVATE  0

#define ONE_SECOND        1

/*
#define DEBUG_LEVEL1 1
#define DEBUG_LEVEL2 1
#define DEBUG_LEVEL3 1
*/

/* Comment out if you do not want to slow down the screen for */
/* debugging purpose.                                         */
#define DEBUG_TESTING 1
